Bug 674009 - Review Request: bitten - A continuous integration plugin for Trac
Summary: Review Request: bitten - A continuous integration plugin for Trac
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-31 10:18 UTC by Tim Niemueller
Modified: 2014-09-23 19:17 UTC (History)
3 users (show)

Fixed In Version: bitten-0.6b3-0.3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-04 09:53:20 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tim Niemueller 2011-01-31 10:18:21 UTC
Spec URL: http://fedorapeople.org/~timn/bitten/bitten.spec
SRPM URL: http://fedorapeople.org/~timn/bitten/bitten-0.6b3-0.1.fc14.src.rpm
Description: Bitten is a Python-based framework for collecting various software metrics via continuous integration. It builds on Trac to provide an integrated web-based user interface.

Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=2752033

rpmlint: 
bitten.src: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
bitten-master.noarch: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
- false positive

bitten-master.noarch: W: no-documentation
bitten-slave.noarch: W: no-documentation
bitten-slave.noarch: W: no-manual-page-for-binary bitten-slave
- does not exist

bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_admin_configs.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_config.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_summary_coverage.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_admin_master.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_summary_tests.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_build.html
- HTML templates, need no shebang

bitten-slave.noarch: W: non-standard-uid /var/lib/bitten-slave bitten-slave
bitten-slave.noarch: W: non-standard-gid /var/lib/bitten-slave bitten-slave
bitten-slave.noarch: W: non-standard-uid /etc/bitten-slave.conf bitten-slave
bitten-slave.noarch: W: non-standard-gid /etc/bitten-slave.conf bitten-slave
bitten-slave.noarch: E: non-readable /etc/bitten-slave.conf 0640L
bitten-slave.noarch: W: dangerous-command-in-%postun userdel
- These are all related. We create a bitten-slave user. The bitten slave is run as this user and it needs to write to its $HOME at /var/lib/bitten-slave (checking out code and building it). The configuration file may contain authentication information, hence should not be world-readable. Since it must be readable by the bitten-slave user, it is owned by this user. The user is only deleted on uninstall, not on an upgrade, and since it is a system user specifically for bitten-slave we think it is safe to delete it.

4 packages and 1 specfiles checked; 7 errors, 10 warnings.

Comment 1 Peter Lemenkov 2011-02-02 21:01:01 UTC
I'll review it

Comment 2 Peter Lemenkov 2011-02-13 09:20:47 UTC
Koji scratchbuild for F-15:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2836716

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+/- rpmlint is NOT silent

sulaco ~: rpmlint Desktop/bitten-*
bitten.src: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
bitten-master.noarch: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
bitten-master.noarch: W: no-documentation
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_admin_configs.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_config.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_summary_coverage.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_admin_master.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_summary_tests.html
bitten-master.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/bitten/templates/bitten_build.html
bitten-slave.noarch: W: no-documentation
bitten-slave.noarch: E: non-readable /etc/bitten-slave.conf 0640
bitten-slave.noarch: W: no-manual-page-for-binary bitten-slave

^^^ these messages already explained in the comment above.

bitten-slave.noarch: W: dangerous-command-in-%postun userdel

^^^ Deleting users automatically is a very very bad practice and should be omitted entirely. I strongly encourage you to remove the '%postun slave' section entirely. Let system administrator to decide whether or not to remove users from the system.

4 packages and 0 specfiles checked; 7 errors, 6 warnings.
sulaco ~: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (3-clause BSD).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum Bitten-0.6b3.tar.gz*
d3167fe928bb8d61e4367d71a6c286915c58f435b155c1886e0fea141f0501a8  Bitten-0.6b3.tar.gz
d3167fe928bb8d61e4367d71a6c286915c58f435b155c1886e0fea141f0501a8  Bitten-0.6b3.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji links above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


Ok, the only issue is the user removal during uninstalling - please, remove it.

Comment 3 Tim Niemueller 2011-02-19 15:00:30 UTC
I have modified the postun script to print a reminder that the user should be deleted if no longer used.

Updated spec in place, new SRPM is at
http://fedorapeople.org/~timn/bitten/bitten-0.6b3-0.2.fc14.src.rpm

Comment 4 Peter Lemenkov 2011-02-20 12:31:05 UTC
OK, looks good now. I can't find any other issues, so this package is

APPROVED.

Comment 5 Tim Niemueller 2011-02-20 13:57:36 UTC
Thanks for the thorough review.

New Package SCM Request
=======================
Package Name: bitten
Short Description: A continuous integration plugin for Trac
Owners: timn
Branches: f14 f15 el5 el6
InitialCC:

Comment 6 Jason Tibbitts 2011-02-21 20:30:17 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-02-23 11:16:48 UTC
bitten-0.6b3-0.3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bitten-0.6b3-0.3.fc14

Comment 8 Fedora Update System 2011-02-23 11:17:24 UTC
bitten-0.6b3-0.3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bitten-0.6b3-0.3.fc15

Comment 9 Fedora Update System 2011-02-23 11:18:04 UTC
bitten-0.6b3-0.3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bitten-0.6b3-0.3.el5

Comment 10 Fedora Update System 2011-02-23 11:21:05 UTC
bitten-0.6b3-0.3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bitten-0.6b3-0.3.el6

Comment 11 Fedora Update System 2011-02-24 06:28:31 UTC
bitten-0.6b3-0.3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bitten'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bitten-0.6b3-0.3.fc14

Comment 12 Fedora Update System 2011-03-03 03:14:21 UTC
bitten-0.6b3-0.3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-04 09:53:15 UTC
bitten-0.6b3-0.3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-10 17:24:17 UTC
bitten-0.6b3-0.3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 15 Fedora Update System 2011-03-10 17:26:45 UTC
bitten-0.6b3-0.3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Tim Niemueller 2014-09-23 16:28:07 UTC
Package Change Request
======================
Package Name: bitten
New Branches: epel7
Owners: timn

Comment 17 Gwyn Ciesla 2014-09-23 19:17:39 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.